%define module  Test-MockObject
%define version 1.01
%define release 1mdk

Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
Summary: 	Perl extension for emulating troublesome interfaces
License: 	GPL or Artistic
Group: 		Development/Perl
Source: 	http://search.cpan.org/CPAN/authors/id/C/CH/CHROMATIC/%{module}-%{version}.tar.bz2
Url:            http://search.cpan.org/dist/%{module}/
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl-UNIVERSAL-isa
BuildRequires:	perl-UNIVERSAL-can
BuildRequires:	perl-Test-Warn
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%description 
It's a simple program that doesn't use any other modules, and those are easy to
test. More often, testing a program completely means faking up input to another
module, trying to coax the right output from something you're not supposed to
be testing anyway.

Testing is a lot easier when you can control the entire environment. With
Test::MockObject, you can get a lot closer.

Test::MockObject allows you to create objects that conform to particular
interfaces with very little code. You don't have to reimplement the behavior,
just the input and the output.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOF
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
make test

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Test
%{_mandir}/*/*

%changelog
* Tue Sep 06 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdk
- New release 1.01

* Mon Jul 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.00-1mdk
- New release 1.00
- spec cleanup
- test in %%check
- fix source url

* Tue Dec 21 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.20-1mdk
- 0.20

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.14-2mdk
- fix buildrequires in a backward compatible way

* Sun Sep 12 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.14-1mdk 
- first mdk release
